# Note that this is NOT a relocatable package
%define ver      0.15
%define rel      9
%define prefix   /usr

Summary: The Enlightenment window manager configuration tool.
Name: enlightenment-conf
Version: %ver
Release: %rel
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://www.rasterman.com/pub/enlightenment/enlightenment-conf-%{ver}.tar.gz
BuildRoot: /var/tmp/e-conf-%{PACKAGE_VERSION}-root

URL: http://www.rasterman.com
Docdir: %{prefix}/doc
Requires: control-center >= 1.0.0

Patch: enlightenment-conf-0.15-keybind.patch
Patch1: enlightenment-conf-0.15-spelling.patch
Patch2: enlightenment-conf-0.15-locale.patch
Patch3: enlightenment-conf-0.15-alpha-notrans.patch

%description
The enlightenment-conf package contains a configuration tool for
configuring the Enlightenment window manager.  Enlightenment can be
configured in many different ways, so you'll want to install this
configuration tool if you plan to use Enlightenment.

%changelog
* Wed Sep 01 1999 Elliot Lee <sopwith@redhat.com>
- Disable translucent moves option on the Alpha, since it requires shared
  pixmaps (see comment in patch).

* Mon Jul 26 1999 Michael Fulbright <drmike@redhat.com>
- added locale fix from Karsten Weiss <karsten@addx.au.s.shuttle.de>

* Tue May 25 1999 Michael Fulbright <drmike@redhat.com>
- fixed typos in desktop configuration

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Tue Feb 23 1999 The Rasterman <raster@redhat.com>
- Updated to 0.14

* Wed Feb 3 1999 The Rasterman <raster@redhat.com>
- Created for new E-conf standalone module

%prep
%setup -q
%patch -p1 -b .noscrollbar
%patch1 -p1 -b .spelling
%patch2 -p1 -b .locale
%patch3 -p1 -b .alpha-notrans

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
